<?php

class DebugObserver extends AbstractObserver
{
    public function update($data, $faild = null)
    {

        if($faild)
          $this->output($data);

        return true;
    }

    public function output($string)
    {
        DisplayOutput::printOnScreen("<pre>");
        DisplayOutput::dump($string);
        DisplayOutput::printOnScreen("</pre>");
    }
}

 ?>
